X1aProfile (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class X1aProfile

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
          edu.harvard.hul.ois.jhove.module.pdf.XProfileBase
              edu.harvard.hul.ois.jhove.module.pdf.X1aProfile

    public final class X1aProfile

extends XProfileBase

PDF profile checker for PDF/X-1a documents. See ISO Standard 15930-1, "Complete exchange using CMYK data (PDF/X-1 and PDF/X-1a)" This module depends on the PDF/X-1 profiler, since the PDF/X-1 specification is PDF/X-1 plus a few additional restrictions.

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.XProfileBase
`_bleedBoxPresent, _xType, PDFX1, PDFX1A, PDFX2, PDFX3`

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
`_module, _parser, _profileText, _raf`

Constructor Summary
`X1aProfile(PdfModule module)` Constructor.

Method Summary
`boolean` | `satisfiesThisProfile()` Returns `true` if the document satisfies the profile.
`void` | `setX1Profile(X1Profile x1)` Calling setX1Profile links this X1aProfiler to an X1Profiler.

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.XProfileBase
`bboxOK, checkPrefsAgainstBleedBox, extGStateOK, filterOK, formObjectOK, imageObjectOK, infoDictOK, isBleedBoxPresent, outputIntentsOK, trailerDictOK, xObjectOK`

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
`getText, hasFilters, isAlreadyOK, satisfiesProfile, xObjectsOK`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X1aProfile

    public X1aProfile(PdfModule module)

  Constructor. Creates an X1aProfile object for subsequent testing.

  Parameters:
    `module` - The module under which we are checking the profile.

Method Detail

### setX1Profile

    public void setX1Profile(X1Profile x1)

  Calling setX1Profile links this X1aProfiler to an X1Profiler.

### satisfiesThisProfile

    public boolean satisfiesThisProfile()

  Returns `true` if the document satisfies the profile. If `setX1Profile` hasn't been called, creates a temporary X1Profile and tests against that profile first. Either way, `X1Profile.isX1aCompliant` is then called to determine the X-1/a compliance status.

  Specified by:
    `satisfiesThisProfile` in class `PdfProfile`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD